#ifndef EDITORWIDGET_H
#define EDITORWIDGET_H

#include <qwidget.h>
#include <qmlined.h>
#include <qlined.h>
#include <qgrpbox.h>
#include <qlabel.h>

class EditorWidget : public QWidget
{
    Q_OBJECT
public:
    EditorWidget (QWidget * parent = 0, const char * name = 0);
    QGroupBox * group_names;
    QLabel * title;
    QLabel * author;
    QLabel * copyright;
    QLabel * across;
    QLabel * down;
    QGroupBox * group_questions;
    QMultiLineEdit * editor_across;
    QMultiLineEdit * editor_down;
    QLineEdit * line_title;
    QLineEdit * line_author;
    QLineEdit * line_copyright;
protected:
    void resizeEvent(QResizeEvent *);
};

#endif